# $Revision: 1.34 $, $Date: 2012/02/12 13:45:16 $
#
# Conditional build:
%bcond_without	gui	# without FLTK-based GUI
#
Summary:	HTML processing program
Summary(pl.UTF-8):	Program przetwarzający HTML
Name:		htmldoc
Version:	1.8.27
Release:	10
License:	GPL v2 with OpenSSL exception
Group:		Applications/Publishing
Source0:	ftp://ftp.easysw.com/pub/htmldoc/%{version}/%{name}-%{version}-source.tar.bz2
# Source0-md5:	35589e7b8fe9c54e11be87cd5aec4dcc
Patch0:		%{name}-libpng15.patch
URL:		http://www.htmldoc.org/
%{?with_gui:BuildRequires:	xorg-lib-libXpm-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_gui:BuildRequires:	fltk-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML processing program that generates HTML, PostScript, and PDF files
with a table of contents.

%description -l pl.UTF-8
Program przetwarzający HTML, który generuje pliki HTML, PostScript i
PDF ze spisem treści.

%prep
%setup -q
%patch0 -p0

%build
%configure \
	%{!?with_gui:--without-gui}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	datadir=$RPM_BUILD_ROOT%{_datadir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	bindir=$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING.txt CHANGES.txt README.txt
%doc doc/htmldoc.html doc/htmldoc-fig*.png doc/htmldoc.p* doc/help.html
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/htmldoc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: htmldoc.spec,v $
Revision 1.34  2012/02/12 13:45:16  adamg
- release 10 (rebuild against libpng-1.5)

Revision 1.33  2012/02/12 08:10:52  arekm
- release 9

Revision 1.32  2012/02/07 22:02:31  arekm
- release 8

Revision 1.31  2012/01/13 21:02:30  arekm
- release 7

Revision 1.30  2011/12/20 19:36:50  arekm
- release 6

Revision 1.29  2010/11/13 12:07:44  pawelz
- release 5

Revision 1.28  2010/04/12 19:25:27  arekm
- release 4

Revision 1.27  2010/01/28 13:03:51  baggins
- working version on HEAD
- rel 3

Revision 1.26  2009/11/27 10:46:02  mis
- summary

Revision 1.25  2009/11/27 10:44:01  mis
- up to 1.9.x snap (UTF-8 support)

Revision 1.24  2009/07/12 13:24:17  arekm
- release 2

Revision 1.23  2007/10/14 11:52:19  qboosh
- clarified License

Revision 1.22  2007/09/17 13:53:01  baggins
- up to 1.8.27
- updated docs
- removed obsolete patch

Revision 1.21  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.19  2006/04/27 11:38:29  qboosh
- added link patch to kill unnecessary -lnsl
- added gui bcond

Revision 1.18  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.17  2003/11/03 19:49:17  bszx
- updated to 1.8.23

Revision 1.16  2003/09/30 20:18:23  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.15  2003/05/28 12:59:05  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:48:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/13 14:03:33  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.12  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.11  2002/10/14 10:06:41  qboosh
- removed the rest of libpng 1.2.2 hack

Revision 1.10  2002/10/14 09:32:36  kloczek
- remove from %build libpng 1.2.x hack.

Revision 1.9  2002/10/09 16:12:48  tjbynum
++ version, STBR.

Revision 1.8  2002/10/09 08:02:15  qboosh
- BR: automake

Revision 1.7  2002/05/24 16:14:11  qboosh
- new %%doc
- removed OpenGL-deps stuff - it isn't linked with GL directly, so only
  GL-enabled fltk versions require OpenGL
- release 2

Revision 1.6  2002/05/21 23:13:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/05/17 10:38:19  misiek
- updated to 1.8.19

Revision 1.4  2002/04/25 16:34:27  arturs
fixed a small typo

Revision 1.3  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/09/10 09:32:24  qboosh
- new
